/*****************************************************************************
 *
 * Copyright 1995 - 2000 Digi International (www.digi.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY, EXPRESS OR IMPLIED; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *****************************************************************************
 */

#ifdef linux
# define DEV_PATH	"/dev/dg/els"
# define DEV_DIAG	"/dev/dg/els/elsdiag"
# define MKNOD_BIN	"/etc/mknod"
# define PREP_SCSI	sb.bus = dp->bus; sb.pun = dp->pun; sb.lun = 0

# define DIRECT_MODE	0
# define DIALOUT_MODE	1
# define OUTLINE	0x80
#endif /* linux */




#ifndef	TRUE
# define TRUE		1
# define FALSE		0
#endif

#ifndef OK
# define OK		0
#endif

#ifndef	STDIN_FILENO
# define STDIN_FILENO	0
# define STDOUT_FILENO	1
# define STDERR_FILENO	2
#endif

#ifndef MAX_STR
# define MAX_STR		256
#endif

#ifndef CMD_CMPLT
# define CMD_CMPLT		0
#endif

#ifndef TRAN_BUSY
# define TRAN_BUSY		0
# define TRAN_ACCEPT		1
#endif

#ifndef SCMD_REQUEST_SENSE
# define SCMD_REQUEST_SENSE	0x03
#endif

#ifndef KEY_VENDOR_UNIQUE
# define KEY_VENDOR_UNIQUE	0x09
#endif

#ifndef SCMD_INQUIRY
# define SCMD_INQUIRY		0x12
#endif
 
#ifndef NAMLEN
# define NAMLEN			16
#endif 


#ifndef min
# define min(x,y)		((x) <= (y) ? (x) : (y))
#endif


/* 'NOP' conflicts with 'NOP' from scsi.h, so I renamed this one -Kees */
#define	CDNOP			3
#define	MAXP			7
#define	NOPOD			0xff


/* device record */
typedef
struct drec {
	u_char bus;
	u_char pun;
	u_char series2000;
	u_char pod_id;
	char   pid[17];
	char   fw_ver[5];
} drec;

/* record returned by Read Version command */
typedef
struct unit_id {
	char name[NAMLEN +1];
	char fw_ver[7];
} unit_id;















